Subject: GNUwin32 IPC mechanisms
From: [email-masked] (Andreas Speck)

5 Sep 1997 23:14:26 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
X-Mailer: Mozilla 3.01 (WinNT; I)
Original-To: [email-masked]
Original-Sender: [email-masked]

Dear CYGNUS Team

Currently I'm porting software (including IPC mechanisms like semaphores
and shared memory) from UNIX to WindowsNT.

The compiler I use is the CYGNUS GNU WIN32 C++-Compiler (version b18).

- Does the CYGNUS GNU WIN32 C++-Compiler support POSIX (or any other
  UNIX, e.g. System V) semaphores (or other synchronizing mechanism) 
  and shared memory?
  (Currently I use the mehanisms of WindowsNT.)

- I ported a program which uses sigsuspend() to wake up a process when 
  a signal arrives.
  The sigsuspend() call is part of loop. The first few times    
sigsuspend() wakes up the process, but then sigsuspend() doesnt 
  awake the process. Is this a bug of sigsuspend()?

- Are there any code samples ilustrating the use of IPC mechanisms?

Thank you!

Regards

Andreas Speck

email: [email-masked]
http:  http://www-sr.informatik.uni-tuebingen.de/~speck

------------------------------------------------------------------------

University of Tuebingen
Wilhelm-Schickard-Department for Computer Science
Research Group Symbolic Computation
Sand 13
D-72076 Tuebingen
Phone: +49(7071) 29-78961
Fax:   +49(7071) 67540

------------------------------------------------------------------------
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".